Skip to main content
POST
/
api
/
v1
/
user
/
team
Add Team Member Package Alias
curl --request POST \
  --url https://api.hevn.finance/api/v1/user/team \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>"
}
'
{
  "userId": "<string>",
  "email": "<string>",
  "role": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "baseSmartWallet": "<string>",
  "privyAddress": "<string>",
  "lastLogin": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

user-agent
string | null
device-name
string | null
cf-ipcountry
string | null
x-api-key
string | null

Body

application/json

Request to add a team member by email.

email
string
required

Email of the user to add

Response

Successful Response

Single team member.

userId
string
required
email
string
required
role
string
required
createdAt
string<date-time>
required
baseSmartWallet
string | null
privyAddress
string | null
lastLogin
string<date-time> | null